tags 375542 patch
thanks for stopping processing here!
---
Attached is a patch that does the attempts to fix this bug by doing the
following:
Install the conffile that was going to /usr/lib/foxrc/Desktop (which is
a conffile for all libfox apps, not just for xfe) instead
to /usr/share/xfe/config/Xfe.
Use ucf to copy the file to /etc/foxrc/XFileExplorer/Xfe.
Change the code that was looking for the /usr/lib/foxrc/Desktop file to
copy to ~/.foxrc/XFileExplorer/Xfe to first look for copies of the
application specific conffile before falling back onto the generic
Desktop file.
thanks,
stew
diff -ruN xfe-0.88/src/XFileExplorer.cc xfe-0.88.mine/src/XFileExplorer.cc
--- xfe-0.88/src/XFileExplorer.cc 2006-02-06 12:00:26.000000000 -0500
+++ xfe-0.88.mine/src/XFileExplorer.cc 2006-07-24 04:14:40.000000000 -0400
@@ -889,7 +889,13 @@
}
// Copy the global Desktop file (three possible locations) to the local configuration file
- if (::exists("/etc/foxrc/Desktop"))
+ if (::exists("/etc/foxrc/XFileExplorer/Xfe"))
+ FXFile::copy("/etc/foxrc/XFileExplorer/Xfe",configpath,FALSE);
+ else if (::exists("/usr/lib/foxrc/XFileExplorer/Xfe"))
+ FXFile::copy("/usr/lib/foxrc/XFileExplorer/Xfe",configpath,FALSE);
+ else if (::exists("/usr/local/lib/foxrc/XFileExplorer/Xfe"))
+ FXFile::copy("/usr/local/lib/foxrc/XFileExplorer/Xfe",configpath,FALSE);
+ else if (::exists("/etc/foxrc/Desktop"))
FXFile::copy("/etc/foxrc/Desktop",configpath,FALSE);
else if (::exists("/usr/lib/foxrc/Desktop"))
FXFile::copy("/usr/lib/foxrc/Desktop",configpath,FALSE);
diff -ruN xfe-0.88/debian/dirs xfe-0.88.mine/debian/dirs
--- xfe-0.88/debian/dirs 2006-07-24 04:40:32.000000000 -0400
+++ xfe-0.88.mine/debian/dirs 2006-07-24 04:21:28.000000000 -0400
@@ -1,2 +1,4 @@
usr/bin
usr/share/foxicons
+usr/share/xfe/config
+etc/foxrc/XFileExplorer
diff -ruN xfe-0.88/debian/postinst xfe-0.88.mine/debian/postinst
--- xfe-0.88/debian/postinst 1969-12-31 19:00:00.000000000 -0500
+++ xfe-0.88.mine/debian/postinst 2006-07-24 04:29:47.000000000 -0400
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+CONF=/etc/foxrc/XFileExplorer/Xfe
+
+if [ "$1" = "configure" ]; then
+ /usr/bin/ucf --debconf-ok /usr/share/xfe/config/Xfe $CONF
+fi
diff -ruN xfe-0.88/debian/postrm xfe-0.88.mine/debian/postrm
--- xfe-0.88/debian/postrm 1969-12-31 19:00:00.000000000 -0500
+++ xfe-0.88.mine/debian/postrm 2006-07-24 04:30:01.000000000 -0400
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+CONF=/etc/foxrc/XFileExplorer/Xfe
+
+
+if [ "$1" = "purge" ]; then
+ ucf --purge $CONF
+ rm -f $CONF
+ ;;
+fi
diff -ruN xfe-0.88/debian/rules xfe-0.88.mine/debian/rules
--- xfe-0.88/debian/rules 2006-07-24 04:40:32.000000000 -0400
+++ xfe-0.88.mine/debian/rules 2006-07-24 04:14:40.000000000 -0400
@@ -14,6 +14,7 @@
mv $(BASE)/usr/share/man/man1/xfv.1 $(BASE)/usr/share/man/man1/xfileview.1
mv $(BASE)/usr/share/man/man1/xfq.1 $(BASE)/usr/share/man/man1/xfilequery.1
mv $(BASE)/usr/share/man/man1/xfi.1 $(BASE)/usr/share/man/man1/xfileimage.1
+ mv $(BASE)/usr/lib/foxrc/Desktop $(BASE)/usr/share/xfe/config/Xfe
# install program icons
install -m 0644 debian/*.xpm $(BASE)/usr/share/pixmaps